# Class GetMethodHelpReply

#### Hierarchy

- unknown
  - GetMethodHelpReply

- Defined in src/protobuf/grpc_pb.d.ts:24
- Defined in src/protobuf/grpc_pb.d.ts:36

#####
Index

### Constructors

constructor

### Methods

getMethodHelp
serializeBinary
setMethodHelp
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetMethodHelpReply(): GetMethodHelpReply

- #### Returns GetMethodHelpReply

  Inherited from jspb.Message.constructor

## Methods

### getMethodHelp

- getMethodHelp(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:25

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:28

### setMethodHelp

- setMethodHelp(value: string): GetMethodHelpReply

- #### Parameters

  - ##### value: string

  #### Returns GetMethodHelpReply

  - Defined in src/protobuf/grpc_pb.d.ts:26

### toObject

- toObject(includeInstance?: boolean): GetMethodHelpReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetMethodHelpReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:29

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMethodHelpReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMethodHelpReply

  - Defined in src/protobuf/grpc_pb.d.ts:32

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMethodHelpReply, reader: BinaryReader): GetMethodHelpReply

- #### Parameters

  - ##### message: GetMethodHelpReply

  - ##### reader: BinaryReader

  #### Returns GetMethodHelpReply

  - Defined in src/protobuf/grpc_pb.d.ts:33

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMethodHelpReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetMethodHelpReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:31

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetMethodHelpReply): GetMethodHelpReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMethodHelpReply

  #### Returns GetMethodHelpReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:30

Generated using TypeDoc